/*
 * Copyright (c) 2013, 2019 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package org.glassfish.jersey.tests.integration.tracing;

import javax.ws.rs.Priorities;
import javax.ws.rs.core.Response;
import javax.ws.rs.ext.Provider;

import javax.annotation.Priority;

import org.glassfish.jersey.spi.ExtendedExceptionMapper;

/**
 * @author Libor Kramolis
 */
@Priority(Priorities.USER + 1)
@Provider
public class TestExtendedExceptionMapperGeneric implements ExtendedExceptionMapper<Exception> {

    @Override
    public Response toResponse(Exception throwable) {
        return Response.status(500).build();
    }

    @Override
    public boolean isMappable(Exception throwable) {
        return !(throwable instanceof RuntimeException);
    }
}
